org.apache.ignite.internal.visor.node

## Class VisorLifecycleConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorLifecycleConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorLifecycleConfiguration
    extends Object
    implements Serializable

Data transfer object for node lifecycle configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorLifecycleConfiguration()`

### Method Summary

Methods
`String` `beans()`
`static VisorLifecycleConfiguration` `from(IgniteConfiguration c)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorLifecycleConfiguration

    public VisorLifecycleConfiguration()

### Method Detail

#### from

    public static VisorLifecycleConfiguration from(IgniteConfiguration c)

Parameters:
  `c` - Grid configuration.
Returns:
  Data transfer object for node lifecycle configuration properties.

#### beans

    @Nullable
    public String beans()

Returns:
  Lifecycle beans.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015